package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderEvidenceDownloadRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【跨境电子签约文件id】跨境电子签约文件id 【作用】 查询需下载审计报告的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需下载审计报告的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
}

func (obj CrossborderEvidenceDownloadRequest) GetUrl() string {
	return "/cross-border/evidence/download"
}

func (obj CrossborderEvidenceDownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	return parameter
}
